<ComClass(AudioWrapperCOM.ClassId, AudioWrapperCOM.InterfaceId, AudioWrapperCOM.EventsId)> _
Public Class AudioWrapperCOM

#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "905809f6-82cc-469a-b006-f03b59cb417e"
    Public Const InterfaceId As String = "7b84c5d5-e369-4c56-abf4-1a48062e421b"
    Public Const EventsId As String = "a14330be-f933-4f02-922d-86636e22093a"
#End Region

    ' A creatable COM class must have a Public Sub New() 
    ' with no parameters, otherwise, the class will not be 
    ' registered in the COM registry and cannot be created 
    ' via CreateObject.
    Public Sub New()
        MyBase.New()
    End Sub
    Public Sub PlayWav(ByVal fileWavName As String)

        Try
            If Not fileWavName = String.Empty Then

                Dim filename As String = fileWavName.ToLower()
                Dim isAudioWav As Boolean = filename.EndsWith("wav")

                If isAudioWav Then
                    My.Computer.Audio.Play(fileWavName)
                End If
            End If
        Catch ex As Exception
            MsgBox("Formato de arquivo nao suportado")
        End Try
    End Sub
End Class

